JBoss API: Class EntityMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class EntityMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.BeanMetaData
                  |
                  +--org.jboss.metadata.EntityMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class EntityMetaData
extends BeanMetaData

The meta data information specific to entity beans.

Version:
  $Revision: 1.7.4.1 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org
See Also:

Fields inherited from class org.jboss.metadata.BeanMetaData
`beanType, configurationName, containerManagedTx, ENTITY_TYPE, MDB_TYPE, SESSION_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`EntityMetaData(ApplicationMetaData app)`

Method Summary
`java.util.Iterator` | `getCMPFields()` Gets the container managed fields.
`java.lang.String` | `getDefaultConfigurationName()`
`java.lang.String` | `getPrimaryKeyClass()`
`java.lang.String` | `getPrimKeyField()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`boolean` | `isBMP()`
`boolean` | `isCMP()`
`boolean` | `isReentrant()`

Methods inherited from class org.jboss.metadata.BeanMetaData
`addExcludedMethod, addPermissionMethod, addTransactionMethod, getApplicationMetaData, getConfigurationName, getContainerConfiguration, getEjbClass, getEjbLocalRefByName, getEjbLocalReferences, getEjbName, getEjbRefByName, getEjbReferences, getEnvironmentEntries, getExcludedMethods, getHome, getJndiName, getLocal, getLocalHome, getLocalJndiName, getMethodPermissions, getMethodTransactionType, getPermissionMethods, getRemote, getResourceEnvReferences, getResourceReferences, getSecurityIdentityMetaData, getSecurityProxy, getSecurityRoleReferences, getTransactionMethods, importJbossXml, isBeanManagedTx, isContainerManagedTx, isEntity, isMessageDriven, isSession, trim`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityMetaData

    public EntityMetaData(ApplicationMetaData app)

Method Detail

### isCMP

    public boolean isCMP()

### isBMP

    public boolean isBMP()

### isReentrant

    public boolean isReentrant()

### getPrimaryKeyClass

    public java.lang.String getPrimaryKeyClass()

### getCMPFields

    public java.util.Iterator getCMPFields()

  Gets the container managed fields.

### getPrimKeyField

    public java.lang.String getPrimKeyField()

### getDefaultConfigurationName

    public java.lang.String getDefaultConfigurationName()

  Overrides:
    `getDefaultConfigurationName` in class `BeanMetaData`

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `BeanMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.